E2fsprog vs util-linux-ng

There is a bit of a fight between these two packages, as they both have shared libraries libblkid and libuuid.

Up until now, Puppy has used the old util-linux package that does not have these libraries. However, with Spup I have moved to using the Slackware util-linux-ng and e2fsprogs packages.

It appears that in this situation, util-linux-ng was compiled and installed first, and when e2fsprogs was compiled it used the pre-existing shared libs. Hence no problem.

The problem arose for me as my Spups were using an e2fsprogs that I had compiled in Quirky, with those libs.
It caused a mismatch, that became apparent when I tried to compile parted.

Interesting mis-matches occur when you mix packages from different distros!

Anyway, by sticking with Slackware e2fsprogs and util-linux-ng, I was able to compile parted.


Posted on 2 Jul 2010, 17:18


No comments posted yet.